# /sys/seal-status

The `/sys/seal-status` endpoint is used to check the seal status of a Vault.

### Seal status

This endpoint returns the seal status of the Vault. This is an unauthenticated endpoint.

| Method | Path               |
| ------ | ------------------ |
| `GET`  | `/sys/seal-status` |

#### Sample request

```shell-session
$ curl \
    http://127.0.0.1:8200/v1/sys/seal-status
```

#### Sample response

The "t" parameter is the threshold, and "n" is the number of shares.

```json
{
  "type": "shamir",
  "initialized": true,
  "sealed": true,
  "t": 3,
  "n": 5,
  "progress": 2,
  "nonce": "",
  "version": "1.11.0",
  "build_date": "2022-05-03T08:34:11Z",
  "migration": false,
  "recovery_seal": false,
  "storage_type": "file"
}
```

Sample response when Vault is unsealed.

```json
{
  "type": "shamir",
  "initialized": true,
  "sealed": false,
  "t": 3,
  "n": 5,
  "progress": 0,
  "nonce": "",
  "version": "1.11.0",
  "build_date": "2022-05-03T08:34:11Z",
  "migration": false,
  "cluster_name": "vault-cluster-336172e1",
  "cluster_id": "f94053ad-d80e-4270-2006-2efd67d0910a",
  "recovery_seal": false,
  "storage_type": "file"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-seal-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
